> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /wipo_brands/trademarks/statistics

> Aggregate trademark counts over a chosen dimension

**Price:** 1 credit



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/wipo_brands/trademarks/statistics
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/wipo_brands/trademarks/statistics:
    post:
      tags:
        - /wipo_brands
      summary: /wipo_brands/trademarks/statistics
      description: |-
        Aggregate trademark counts over a chosen dimension

        **Price:** 1 credit
      operationId: __api_wipo_brands_trademarks_statistics_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WipoBrandsTrademarkStatisticsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WipoBrandsStatisticBucket'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WipoBrandsTrademarkStatisticsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        facet:
          $ref: '#/components/schemas/WipoBrandsFacet'
        keyword:
          anyOf:
            - type: string
            - type: 'null'
        strategy:
          $ref: '#/components/schemas/WipoBrandsSearchStrategy'
          default: Simple
        owner:
          anyOf:
            - type: string
            - type: 'null'
        nice_classes:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
        designations:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        offices:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        features:
          anyOf:
            - items:
                $ref: '#/components/schemas/WipoBrandsMarkFeature'
              type: array
            - type: 'null'
      type: object
      required:
        - facet
    WipoBrandsStatisticBucket:
      properties:
        '@type':
          type: string
          default: WipoBrandsStatisticBucket
        value:
          type: string
        count:
          type: integer
      type: object
      required:
        - value
        - count
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    WipoBrandsFacet:
      type: string
      enum:
        - designation
        - office
        - niceClass
        - markFeature
        - type
        - status
        - kind
        - applicantCountryCode
    WipoBrandsSearchStrategy:
      type: string
      enum:
        - Embedded
        - Exact
        - Simple
        - Fuzzy
        - Phonetic
        - Stemming
    WipoBrandsMarkFeature:
      type: string
      enum:
        - Colour
        - Combined
        - Figurative
        - Hologram
        - Motion
        - Multimedia
        - Olfactory
        - Other
        - Pattern
        - Position
        - Sound
        - Stylized characters
        - Three dimensional
        - Tracer
        - Undefined
        - Word
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````